### Hierarchy

- InterceptorCortege

## Index

### Constructors

- constructor

### Properties

- blobRequest
- data
- file
- headers
- method
- path

### Methods

- isTransaction

## Constructors

### constructor

- new InterceptorCortege(path: string, method: HttpMethod, headers: Map<string, string>, blobRequest: boolean, data?: any, file?: File): InterceptorCortege

- - Defined in repository/source/http/InterceptorCortege.ts:10

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### headers: Map<string, string>

  - ##### blobRequest: boolean

  - ##### Optional data: any

  - ##### Optional file: File

  #### Returns InterceptorCortege

## Properties

### blobRequest

blobRequest: boolean

- Defined in repository/source/http/InterceptorCortege.ts:8

### Optional data

data: any

- Defined in repository/source/http/InterceptorCortege.ts:9

### Optional file

file: File

- Defined in repository/source/http/InterceptorCortege.ts:10

### headers

headers: Map<string, string>

- Defined in repository/source/http/InterceptorCortege.ts:7

### method

method: HttpMethod

- Defined in repository/source/http/InterceptorCortege.ts:6

### path

path: string

- Defined in repository/source/http/InterceptorCortege.ts:5

## Methods

### isTransaction

- isTransaction(): boolean

- - Defined in repository/source/http/InterceptorCortege.ts:21

  #### Returns boolean

Generated using TypeDoc